/* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *
 * filename: m-xdummy.c                                                    *
 *                                                                         *
 * UTIL C-source: Medical Image Conversion Utility                         *
 *                                                                         *
 * purpose      : command-line faking X-stuff                              *
 *                                                                         *
 * project      : (X)MedCon by Erik Nolf                                   *
 *                                                                         *
 * Functions    : XMdcDisplayWarn()      - Display a  warning              *
 *                XMdcDisplayMesg()      - Display a  message              *
 *                XMdcDisplayErr()       - Display an error                *
 *                XMdcDisplayFatalErr()  - Display a  fatal error          *
 *                XMdcUpdateProgressBar()- Update progressbar              *
 *                XMdcBeginProgressBar() - Begin of progressbar            *
 *                XMdcEndProgressBar()   - End   of progressbar            *
 *                                                                         *
 * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * */
/* $Id: m-xdummy.c,v 1.5 2003/01/12 00:40:24 enlf Exp $
 */

/*
   Copyright (C) 1997-2003 by Erik Nolf
 
   This program is free software; you can redistribute it and/or modify it
   under the terms of the GNU General Public License as published by the
   Free Software Foundation; either version 2, or (at your option) any later
   version.

   This program is distributed in the hope that it will be useful, but
   WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General
   Public License for more details.

   You should have received a copy of the GNU General Public License along
   with this program; if not, write to the Free Software Foundation, Inc.,
   59 Place - Suite 330, Boston, MA 02111-1307, USA.  */

/****************************************************************************
                              H E A D E R S  
 ****************************************************************************/

#include "medcon.h"


/****************************************************************************
                            F U N C T I O N S 
 ****************************************************************************/

float pvalue;

void *XMdcDisplayWarn(char *fmt, ...)
{
  return(0);
}

void *XMdcDisplayMesg(char *fmt, ...)
{
  return(0);
}

void *XMdcDisplayErr(char *fmt, ...)
{
  return(0);
}

void XMdcDisplayFatalErr(int code, char *fmt, ...)
{
}

void XMdcUpdateDrawing(void)
{
}

int XMdcUpdateProgressBar(void *data)
{
  return(0);
}

void XMdcBeginProgressBar(char *labelstring)
{
}

void XMdcEndProgressBar(void)
{
}

